Bug 234448 - devel/boehm-gc: fix build of devel/boehm-gc-threaded on GCC architectures
Summary: devel/boehm-gc: fix build of devel/boehm-gc-threaded on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-27 16:33 UTC by Piotr Kubaj
Modified: 2018-12-30 16:56 UTC (History)
2 users (show)

See Also:
yasu: maintainer-feedback+


Attachments
patch (422 bytes, patch)
2018-12-27 16:33 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-27 16:33:36 UTC
Created attachment 200562 [details]
patch

Since last upgrade yesterday, devel/boehm-gc-threaded requires now C11-compatible compiler.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Yasuhiro KIMURA 2018-12-27 16:50:25 UTC
(In reply to Piotr Kubaj from comment #0)

Thank you for patch. Please let me clarify. Does only devel/boehm-gc-threaded require 'USES=compiler:c11'? Can devel/boehm-gc and devel/boehm-gc-redirect be built without it?
Comment 2 Piotr Kubaj freebsd_committer 2018-12-28 09:55:23 UTC
I didn't try devel/boehm-gc-redirect yet, but devel/boehm-gc builds.
Comment 3 Yasuhiro KIMURA 2018-12-28 16:54:59 UTC
(In reply to Piotr Kubaj from comment #2)

Thank you for reply. Would you please test devel/boehm-gc-redirect too?
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2018-12-30 12:54:21 UTC
(In reply to Yasuhiro KIMURA from comment #3)

devel/boehm-gc-redirect does build.
Comment 5 Yasuhiro KIMURA 2018-12-30 14:41:14 UTC
(In reply to Mark Linimon from comment #4)

Thank you for testing. Then I approve this patch. Please go ahead.
Comment 6 commit-hook freebsd_committer 2018-12-30 16:56:32 UTC
A commit references this bug:

Author: linimon
Date: Sun Dec 30 16:55:52 UTC 2018
New revision: 488722
URL: https://svnweb.freebsd.org/changeset/ports/488722

Log:
  Since the most recent upgrade, devel/boehm-gc-threaded now requires a
  C11-compatible compiler.

  PR:		234448
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/devel/boehm-gc/Makefile